param2Dsalt= zrec=10. tdelay=0.1 npad=50 vmax=4717. tapeco=4.0e-6 zsrc=20. sder=1 dt_prop=0.002 tswmax=3.5  ntrec=2250 otrec=0.1 dtrec=0.002 nrx=144 orx=-3725 drx=25 nsx=5 dsx=1. osx=0

param2Dsaltfine= zrec=10. tdelay=0.1 npad=50 vmax=4717. tapeco=4.0e-6 zsrc=20. sder=1 dt_prop=0.001 tswmax=2.5  ntrec=4399 otrec=0.1 dtrec=0.001 nrx=287 orx=-3725 drx=12.5 nsx=5 dsx=1. osx=0.


#######################################################################################################################
#  Least squares
#######################################################################################################################


# LSRTM - 20 iterations; 100m
inv/l2-inv-salt-100m.H: Data/dat311-salt-100m.H DatWgt/DW-salt-100m-tpow.H Data/sp-salt-100m.H Input/wavelet1Dbroad.H 
	pycode/pyRemove.py $@ mmov/mmovl2-inv-salt-100m.H rmov/rmovl2-inv-salt-100m.H
	bin/testL2_2D.x  < Data/vel311-salt.H aux=Input/wavelet1D.H datafile=Data/dat311-salt-100m.H ${param2Dsalt} DW=1 DWfile=DatWgt/DW-salt-100m-tpow.H shotposfile=Data/sp-salt-100m.H niter=20  rmov=rmov/rmovl2-inv-salt-100m.H mmov=mmov/mmovl2-inv-salt-100m.H  outfile=$@ wfldout=0 >& inv/logfile/L2-salt-inv.txt


#######################################################################################################################
#  Hybrid
#######################################################################################################################

inv/%-salt-100m.H: DatWgt/DW-salt-100m-tpow.H Data/vel311-salt.H Input/wavelet1D.H Data/dat311-salt-100m.H Data/sp-salt-100m.H
	pycode/pyRemove.py $@
	bin/testHybrid_2D.x  < Data/vel311-salt.H aux=Input/wavelet1D.H datafile=Data/dat311-salt-100m.H ${param2Dsalt} DW=1 DWfile=DatWgt/DW-salt-100m-tpow.H niter=20 shotposfile=Data/sp-salt-100m.H ${$*} outfile=$@ wfldout=0 rmov=rmov/rmov$*-rtm-salt-100m.H nodes=8 mmov=mmov/mmov$*-rtm-salt-100m.H >& inv/logfile/Hy-salt-$*-inv.txt
	
	
doHy-salt-100m1: inv/Hy3-salt-100m.H  inv/Hy4-salt-100m.H  inv/Hy5-salt-100m.H 

doHy-salt-100m2: inv/Hy6-salt-100m.H  inv/Hy7-salt-100m.H  inv/Hy8-salt-100m.H  
	
doHy-salt-100m3: inv/Hy1-salt-100m.H  inv/Hy2-salt-100m.H  
	
comp_salt:
	pycode/pyRemove.py dtop-salt.H dmid-salt.H dbot-salt.H
	Cat axis=2 mmov/mmovHy7-rtm-salt-100m.H mmov/mmovl2-inv-salt-100m.H  mmov/mmovl2-inv-salt-100m.H>   dtop-salt.H
	Cat axis=2 mmov/mmovl2-inv-salt-100m.H  mmov/mmovHy6-rtm-salt-100m.H mmov/mmovHy5-rtm-salt-100m.H > dmid-salt.H
	Cat axis=2 mmov/mmovl2-inv-salt-100m.H mmov/mmovHy4-rtm-salt-100m.H mmov/mmovHy3-rtm-salt-100m.H > dbot-salt.H
	Cat axis=1 dtop-salt.H dmid-salt.H dbot-salt.H | Grey crowd=1 gainpanel=e | Tube
	pycode/pyRemove.py dtop-salt.H dmid-salt.H dbot-salt.H
