program pointerTest

  use sep
  use pointer_mod


  implicit none

  logical                               :: adj, add
  real                                  :: dx, dy
  integer                               :: nz, nx, nt, bout, ii
  real, allocatable, dimension(:)     :: vel
  real, allocatable, dimension(:)       ::x1, x2, y1, y2
  
  nz=10
  nx=10
  nt=8
  adj = .false.
  add = .false.
  
  allocate(x1(nz*nx),x2(nz*nx),y1(nt*nx),y2(nt*nx))


  do ii=1,nz*nx 
      x1(ii) = cos(real(ii))
      x2(ii) = 0.
  end do

  bout=born2way_op(adj,add,x1,y1)


end program
