
# Velocity model, too high, too low

Input/veltrue1D.H Input/velhigh1D.H Input/vellow1D.H Input/velsedi1D.H: bin/Velcreate1D.x
	pycode/pyRemove.py Input/veltrue1D.H Input/velhigh1D.H Input/vellow1D.H Input/velhigh21D.H Input/vellow21D.H Input/velhigh31D.H Input/vellow31D.H
	bin/Velcreate1D.x outfile=Input/veltrue1D.H outhigh=Input/velhigh1D.H outlow=Input/vellow1D.H outsedi=Input/velsedi1D.H outhigh2=Input/velhigh21D.H outlow2=Input/vellow21D.H outhigh3=Input/velhigh31D.H outlow3=Input/vellow31D.H >/dev/null

Input/velconst1D.H:
	Vel 


########### Wavelet ########

Input/wavelet1D.H:
	python ~/Setup/pyRemove.py tmp1.H $@
	Wavelet  n1=1000 d1=0.002 wavelet=ricker2 phase=0 fund=13 tdelay=0.1 > $@

Input/wavelet1Dbroad.H:
	python ~/Setup/pyRemove.py tmp1.H $@
	Wavelet  n1=2000 d1=0.002 wavelet=ricker2 phase=0 fund=20 tdelay=0.1 > $@

Input/wavelet1D2MF2.H:
	python ~/Setup/pyRemove.py tmp1.H $@
	Wavelet  n1=2000 d1=0.002 wavelet=ricker2 phase=0 fund=20 tdelay=0.1 > $@

Input/wavelet1D2LF.H:
	python ~/Setup/pyRemove.py tmp1.H $@
	Wavelet  n1=2000 d1=0.002 wavelet=ricker2 phase=0 fund=15 tdelay=0.1 > $@

########### Reflectivity model #######

Input/refl1D.H: bin/FirstDer1D.x Input/veltrue1D.H
	bin/FirstDer1D.x < Input/veltrue1D.H >$@
	Bandpass fhi=0.005 flo=0.0 < $@ > Input/refl1Dbp.H
	
######### Synthetic data #############

# Born modeled data with Bandpass refl
Data/syndata.H: bin/born1D.x Input/veltrue1D.H Input/refl1D.H Input/wavelet1D2.H
	bin/born1D.x  < Input/veltrue1D.H aux=Input/wavelet1D2.H reflfile=Input/refl1Dbp.H ntrec=6000 dtrec=0.001 otrec=0 zrec=10. tdelay=0.1 dt_prop=0.001 npad=100 vmax=4500. tapeco=4.0e-6 zsrc=10. niter=1  outfile=$@ wfldout=0  sder=0 >/dev/null

#######################################################################################################################
#  Figure 0: Input data
#######################################################################################################################


# Born modeled data with omega^2 src
Data/syndataSP.H: bin/born1D.x Input/veltrue1D.H Input/refl1D.H Input/wavelet1D2LF.H
	bin/born1D.x  < Input/veltrue1D.H aux=Input/wavelet1D2LF.H reflfile=Input/refl1D.H ntrec=6000 dtrec=0.001 otrec=0 zrec=10. tdelay=0.1 dt_prop=0.001 npad=100 vmax=4500. tapeco=4.0e-6 zsrc=10. niter=1  outfile=$@ wfldout=0  sder=1 >/dev/null

# Born modeled data with omega^2 src and spike noise
Data/syndataspikynoise.H: Data/syndataSP.H
	Spike n1=6000 d1=0.002 nsp=4 mag=4e4,-2e4,-8e4,1e5 k1=4000,1000,700,50 > sp.H
	Add scale=1,1 Data/syndataSP.H sp.H > $@

# Born synthetic with omega^2 src and sediment velocity
Data/syndata-sedi.H: bin/born1D.x Input/veltrue1D.H Input/refl1D.H Input/wavelet1D2LF.H
	bin/born1D.x  < Input/velsedi1D.H aux=Input/wavelet1D2LF.H reflfile=Input/refl1D.H ntrec=6000 dtrec=0.001 otrec=0 zrec=10. tdelay=0.1 dt_prop=0.001 npad=100 vmax=4500. tapeco=4.0e-6 zsrc=10. niter=1  outfile=$@ wfldout=0  sder=1 >/dev/null


# Born synthetic with omega^2 src and sediment velocity and spike noise
Data/syndataspikynoise-sedi.H: Data/syndata-sedi.H
	Spike n1=6000 d1=0.002 nsp=4 mag=4e4,-2e4,-8e4,1e5 k1=4000,1000,700,50 > sp.H
	Add scale=1,1 Data/syndata-sedi.H sp.H > $@

