module impedance_op_mod

  use chain_mod
  use prop_mod2DTX
  use igrad1

  implicit none

contains

  function impedance_op(adj,add,mod,dat) result (stat)
    integer :: stat
    logical, intent(in) :: adj,add
    real, dimension(:) :: mod, dat
    real, dimension(:), allocatable :: tmp

    allocate(tmp(size(mod)))
    call chain(born2way_op,igrad1_lop,adj,add,mod,dat,tmp)
    deallocate(tmp)

    stat=1
  end function impedance_op

end module impedance_op_mod
